#!/usr/bin/env node
/*!
 * create-tsrpc-app Command Line Tool v1.3.0
 * -----------------------------------------
 * MIT LICENSE
 * KingWorks (C) Copyright 2022
 * https://github.com/k8w/create-tsrpc-app
 */
"use strict";var e=require("chalk"),t=require("fs"),r=require("minimist"),a=require("os-locale"),n=require("fs-extra"),l=require("npm-check-updates"),i=require("path"),o=require("child_process"),c=require("inquirer"),s=require("ora"),u=require("http"),d=require("https");function f(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}var p=f(e),v=f(t),y=f(r),m=f(a),w=f(n),g=f(l),h=f(i),j=f(c),k=f(s),$=f(u),S=f(d);const P={help:`\n${p.default.bold(p.default.green("create-tsrpc-app ")+p.default.yellow("<project-dir>"))+" [options]"}\n\nOptions：\n    -h, --help                  Output help information\n    -v, --version               Output version number\n    -p, --preset <presetName>  Use preset（skip interactive configuration）\n                                Preset: ${p.default.cyan("browser, react, vue2, vue3, server")}\n`,welcome:e=>p.default.cyan(`=== Welcome to ${p.default.bold("create-tsrpc-app")} version ${e} ===\n`),server:"server",client:"client",frontend:"frontend",backend:"backend",flagError:p.default.bgRed.white(" ERROR "),flagSucc:p.default.green(" ✅ SUCCESS "),canceled:p.default.gray("CANCELED"),"confirm?":"CONFIRM?",presetNotExist:e=>`Preset not exists：${p.default.yellow(e)}`,inputProjectDir:"Input project directory name: ",dirNotEmpty:`The target directory is not empty, continue and ${p.default.yellow("overwrite")} it ?`,selectProjectType:"Please select the project type: ",projectType:{react:"React + backend",vue2:"Vue 2 + backend",vue3:"Vue 3 + backend",nativeBrowser:"Frontend (no framework) + backend",server:"Backend only"},projectCategory:{browser:" ========== Full-stack project ========== ",server:" ================ Other ================= "},selectServerType:"Please select the transportation protocol: ",httpShortService:"HTTP short connection",wsLongService:"WebSocket long connection",checkNpmEnv:"Check NPM environment",npmInstall:"Install NPM dependencies",mayLongPleaseWait:"(May take a while, please wait)...",createApp:e=>`Create TSRPC APP: ${p.default.green(e)}`,createAppSucc:p.default.green("✅ TSRPC APP created successfully.\n"),createAppSuccWithProblems:p.default.yellow("🟨 TSRPC APP created, but with problems：\n"),npmInstallFailed:(e,t,r)=>p.default.red(`❌ "${r}" failed at ${e}, you can re-execute it mannually. \n\n    cd ${t}\n    ${r}\n`),runLocalServer:"Run local dev server:\n",copyFiles:e=>`Copy files to "${e}"`,genPackageJson:e=>`Generate "${e}/package.json"`,linkFailed:'Authorization to create Symlink failed. Please select "Yes" in the authorization dialog: ',linkRetry:"Retry",linkJunction:"Create Junction instead (Not recommended)"},D={help:`\n${p.default.bold(p.default.green("create-tsrpc-app ")+p.default.yellow("<项目目录>"))+" [选项]"}\n\n选项：\n    -h, --help              查看帮助信息\n    -v, --version           查看版本号\n    -p, --preset <预设名>  使用预设配置（跳过交互式配置）\n                            可选 ${p.default.cyan("browser, react, vue2, vue3, server")}\n`,welcome:e=>p.default.cyan(`=== 欢迎使用 ${p.default.bold("create-tsrpc-app")} 版本 ${e} ===\n`),server:"服务端",client:"客户端",frontend:"前端",backend:"后端",flagError:p.default.bgRed.white(" 错误 "),flagSucc:p.default.green(" ✅ 完成 "),canceled:p.default.gray("已取消"),"confirm?":"确认？",presetNotExist:e=>`Preset 不存在：${p.default.yellow(e)}`,inputProjectDir:"请输入要创建的项目目录名：",dirNotEmpty:`目标文件夹不为空，以${p.default.yellow("覆盖方式")}继续？`,selectProjectType:"请选择要创建的项目类型：",projectType:{react:"React + 后端",vue2:"Vue 2 + 后端",vue3:"Vue 3 + 后端",nativeBrowser:"前端（无框架） + 后端",server:"仅后端"},projectCategory:{browser:" ====== 浏览器全栈项目 ====== ",server:" ========== 其  它 ========== "},selectServerType:"请选择传输协议：",httpShortService:"HTTP 短连接",wsLongService:"WebSocket 长连接",checkNpmEnv:"检测 NPM 环境",npmInstall:"安装 NPM 依赖",mayLongPleaseWait:"（可能略久，请稍等）...",createApp:e=>`创建 TSRPC 应用: ${p.default.green.bold(e)}`,createAppSucc:p.default.green("✅ TSRPC APP 创建成功。\n"),createAppSuccWithProblems:p.default.yellow("🟨 TSRPC APP 创建完成，但存在以下问题：\n"),runLocalServer:"运行本地开发服务器：\n",npmInstallFailed:(e,t,r)=>p.default.red(`❌ ${e} "${r}" 失败，可在项目目录执行以下命令手动安装 \n\n    cd ${t}\n    ${r}\n`),copyFiles:e=>`复制文件到 "${e}"`,genPackageJson:e=>`生成 "${e}/package.json"`,linkFailed:"创建 Symlink 授权失败，请在授权弹框选择 “是” 以继续：",linkRetry:"重 试",linkJunction:"改为创建 Junction（不推荐）"},b="zh-CN"===m.default.sync()?D:P;function T(){console.log(b.help),process.exit()}const E=k.default({spinner:"material",text:""}),N=h.default.resolve(__dirname,"./res");async function x(e,t){let r,a;for(let n of e){let{src:l,dst:i}=n;if(r)continue;await w.default.ensureDir(l);let c=await w.default.ensureSymlink(l,i,a?"junction":"dir").catch((e=>e));if("EEXIST"===(null==c?void 0:c.code)&&(await w.default.remove(i),c=await w.default.ensureSymlink(l,i,a?"junction":"dir").catch((e=>e))),!t&&"win32"===process.platform&&"EPERM"===(null==c?void 0:c.code)){for(;void 0===r;){let t=`"${h.default.resolve(N,"elevate.cmd")}" "${process.execPath}" ${process.execArgv.join(" ")} "${process.argv[1]}" --link-elevate="${encodeURIComponent(JSON.stringify(e))}"`;await new Promise((e=>{o.exec(t).on("close",e)}));let n=Date.now();for(;Date.now()-n<=5e3&&(c=await w.default.ensureSymlink(l,i,"dir").catch((e=>e)),r="EPERM"!==(null==c?void 0:c.code),!r);)await new Promise((e=>setTimeout(e,500)));if(!r){E.stop();let e=(await j.default.prompt({type:"list",message:p.default.yellow(b.linkFailed),choices:[{name:b.linkRetry,value:"retry"},{name:b.linkJunction,value:"junction"}],name:"res"})).res;E.start(),"retry"===e?r=void 0:a=!0}}!1===r&&a&&(c=await w.default.ensureSymlink(l,i,"junction").catch((e=>e)))}if(c){if(t)continue;throw c}}}async function R(e,t){return new Promise((r=>{o.exec(e,{cwd:t}).on("exit",(e=>{r(!e)}))}))}async function C(){let e=await async function(){return new Promise((e=>{o.exec("yarn --version",(t=>{e(t?"npm":"yarn")}))}))}(),t=await async function(e){const t=F[e];let r;try{r=await A(`${e} config get registry`)}catch(a){try{r=await A(`${e} config get npmRegistryServer`)}catch(e){r=t}}if(r.trim().replace(/\/$/,"")!==t)return void console.log("default",r.replace(/\/$/,""),t);let a=await Promise.all([O(t),O(F.taobao)]);return a[1]<a[0]?F.taobao:void 0}(e),r=[],a="";return"npm"===e?(r.push("install"),t&&r.push("--force"),a="npm install --force"):"yarn"===e&&(a="yarn"),t&&r.push("--registry",t),{cmd:e+" "+r.join(" "),pureCmd:a,args:r,pkgManager:e,registry:t}}const F={npm:"https://registry.npmjs.org",yarn:"https://registry.yarnpkg.com",taobao:"https://registry.npmmirror.com"};async function A(e){return new Promise(((t,r)=>{o.exec(e,((e,a)=>{e?r(e):t(a)}))}))}async function O(e,t=3e3){let r=Date.now();return new Promise(((a,n)=>{(e.startsWith("https")?S.default:$.default).get(e,(e=>{e.on("data",(()=>{})),e.on("end",(()=>{a(Date.now()-r)}))})).on("error",(()=>{a(1/0)})),setTimeout((()=>{a(1/0)}),t)}))}const _=h.default.resolve(__dirname,"./templates");let I=0;async function J(e){E.text="",E.color="yellow",I=5+("none"===e.client?0:4),V(b.checkNpmEnv);let t=await C();z(!0,`${b.checkNpmEnv}: `+p.default.cyan("Command: ")+p.default.yellow.bold(t.pkgManager)+(t.registry?p.default.cyan(", Registry: ")+p.default.yellow(t.registry):""));let r,a=await async function(e,t){const r="none"===e.client?".":"node"===e.client?"server":"backend";e.client;const a=h.default.resolve(e.projectDir,r),n=h.default.basename(h.default.resolve(e.projectDir));if(await w.default.ensureDir(e.projectDir),V(b.copyFiles(r)),await w.default.ensureDir(a),await W(h.default.join(_,"server"),a,-1===e.features.indexOf("unitTest")?[".mocharc.js"]:void 0),await q("src",e.server,h.default.join(_,"server"),a),await w.default.copy(h.default.join(_,"server",".vscode"),h.default.join(a,".vscode"),{recursive:!0}),"none"===e.client){let e=await w.default.readFile(h.default.join(a,"tsrpc.config.ts"),"utf-8");e=e.replace(/(sync:\s+\[\n)([\s\S]+)(\],)/,((e,t,r,a)=>t+r.split("\n").map((e=>e.replace(/^\s{8}/,"        // "))).join("\n")+a)),await w.default.writeFile(h.default.join(a,"tsrpc.config.ts"),e,"utf-8")}if(e.features.indexOf("unitTest")>-1)await q("test",e.server,h.default.join(_,"server"),a);else{let e=await w.default.readFile(h.default.join(a,"README.md"),"utf-8");e=e.replace(/### Unit Test[\s\S]+npm run test\s*```/,""),await w.default.writeFile(h.default.join(a,"README.md"),e,"utf-8")}z(),V(b.genPackageJson(r));let l=JSON.parse(await w.default.readFile(h.default.join(a,"package.json"),"utf-8"));l.name=`${n}-${r}`,-1===e.features.indexOf("unitTest")&&(delete l.scripts.test,delete l.devDependencies.mocha,delete l.devDependencies["@types/mocha"]);return await w.default.writeFile(h.default.join(a,"package.json"),JSON.stringify(l,null,2),"utf-8"),z(),V("npm-check-update"),z(await g["default"].run({packageFile:h["default"].join(a,"package.json"),upgrade:true,target:"minor",registry:t}).then((()=>true)).catch((()=>false))),{serverDir:a,serverDirName:r}}(e,t.registry);"none"!==e.client&&(r=await async function(e,t){const r="node"===e.client?"client":"frontend",a=h.default.resolve(e.projectDir,r),n=h.default.basename(h.default.resolve(e.projectDir));V(b.copyFiles(r)),await w.default.ensureDir(a),await W(h.default.join(_,`client-${e.client}`),a),await q("src",e.server,h.default.join(_,`client-${e.client}`),a),await q("public",e.server,h.default.join(_,`client-${e.client}`),a),e.client.startsWith("vue")&&await w.default.copyFile(h.default.join(_,"vetur.config.js"),h.default.resolve(e.projectDir,"vetur.config.js"));z(),V(b.genPackageJson(r));let l=JSON.parse(await w.default.readFile(h.default.join(a,"package.json"),"utf-8"));return l.name=`${n}-${r}`,await w.default.writeFile(h.default.join(a,"package.json"),JSON.stringify(l,null,2),"utf-8"),z(),V("npm-check-update"),z(await g["default"].run({packageFile:h["default"].join(a,"package.json"),upgrade:true,target:"minor",registry:t}).then((()=>true)).catch((()=>false))),{clientDir:a,clientDirName:r}}(e,t.registry),e.features.indexOf("symlink")>-1?(V("Initialize symlink"),await x([{src:h.default.join(a.serverDir,"src/shared"),dst:h.default.join(r.clientDir,"src/shared")}])):(V("Sync shared directory"),await w.default.copy(h.default.join(a.serverDir,"src/shared"),h.default.join(r.clientDir,"src/shared"),{recursive:!0})),z());let n=!1,l=!r;V(b.npmInstall,b.mayLongPleaseWait),[n,l]=await Promise.all([R(t.cmd,a.serverDir),!r||R(t.cmd,r.clientDir)]),z(n&&l),console.log(p.default.green(`\n${"=".repeat(40)}\n`));const i="server"===a.serverDirName?b.server:b.backend,o="client"===(null==r?void 0:r.clientDirName)?b.client:b.frontend;if(n&&l?console.log(b.createAppSucc):(console.log(b.createAppSuccWithProblems),n||console.log(b.npmInstallFailed(i,h.default.relative(".",a.serverDir),t.pureCmd)),!l&&r&&console.log(b.npmInstallFailed(o,h.default.relative(".",r.clientDir),t.pureCmd))),console.log(b.runLocalServer),r)console.log(`= ${i} =\n`),console.log(p.default.cyan(`    cd ${h.default.relative(".",a.serverDir)}\n    npm run dev\n`)),console.log(`= ${o} =\n`),console.log(p.default.cyan(`    cd ${h.default.relative(".",r.clientDir)}\n    npm run dev\n`));else{let e=h.default.relative(".",a.serverDir);e&&console.log(p.default.cyan(`    cd ${e}`)),console.log(p.default.cyan("    npm run dev\n"))}E.text="",E.stop()}async function W(e,t,r){let a=await w.default.readdir(e);for(let n of a)(null==r?void 0:r.includes(n))||(await w.default.stat(h.default.join(e,n))).isFile()&&await w.default.copyFile(h.default.join(e,n),h.default.join(t,n.endsWith("__CTA")?n.substr(0,n.length-5):n))}async function q(e,t,r,a){await w.default.pathExists(h.default.join(r,`${e}-${t}`))?await w.default.copy(h.default.join(r,`${e}-${t}`),h.default.join(a,e),{recursive:!0}):await w.default.copy(h.default.join(r,e),h.default.join(a,e),{recursive:!0})}let M,L=0;function V(e,t="..."){M||(M=e,E.prefixText=p.default.yellow(` → ${++L}/${I} ${e}${t}`),E.start())}function z(e=!0,t){E.prefixText="",M&&(t=`${L}/${I} ${null!=t?t:M}`,e?E.succeed(p.default.green(t)):E.fail(p.default.red(t)),M=void 0)}async function U(e,t,r){return(await j.default.prompt({type:"list",name:"res",message:e,choices:t,pageSize:12},{res:r})).res}const B={server:{server:"http",client:"none",features:[]},browser:{server:"http",client:"browser",features:[]},react:{server:"http",client:"react",features:[]},vue2:{server:"http",client:"vue2",features:[]},vue3:{server:"http",client:"vue3",features:[]},"server-ws":{server:"ws",client:"none",features:[]},"browser-ws":{server:"ws",client:"browser",features:[]},"react-ws":{server:"ws",client:"react",features:[]},"vue2-ws":{server:"ws",client:"vue2",features:[]},"vue3-ws":{server:"ws",client:"vue3",features:[]}};function H(e){z(!1),console.error(b.flagError,p.default.red(e.message)),process.exit(-1)}(async function(){const e=y.default(process.argv.slice(2),{alias:{p:"preset",h:"help",v:"version"}});if(e.version)return void console.log("1.3.0");if(e.help)return void T();if(e["link-elevate"]){let t=JSON.parse(decodeURIComponent(e["link-elevate"]));return void await x(t,!0)}let t=e._[0];t||0===v.default.readdirSync(".").filter((e=>!e.startsWith("."))).length&&(t=".");let r={projectDir:t};if(e.preset){let t=B[e.preset];if(!t)throw new Error(b.presetNotExist(e.preset));r={...t,...r}}let a=await async function(e){console.clear(),console.log(b.welcome("1.3.0"));let t=e.projectDir;t?console.log(b.createApp(h.default.basename(h.default.resolve(t)))):t=(await j.default.prompt([{type:"input",name:"projectDir",message:b.inputProjectDir,validate:e=>!!e}],{projectDir:t})).projectDir;let r=v.default.existsSync(t)&&v.default.statSync(t).isDirectory()&&v.default.readdirSync(t);r&&r.filter((e=>!e.startsWith("."))).length&&(console.log(p.default.cyan(`\n${h.default.resolve(t)}\n${r.map((e=>p.default.yellow("  |- "+e))).join("\n")}\n`)),(await j.default.prompt({type:"confirm",message:b.dirNotEmpty,name:"res",default:!1})).res||(console.log(b.canceled),process.exit()));let a=await U(b.selectProjectType,[new j.default.Separator("\n"+b.projectCategory.browser+"\n"),{name:b.projectType.react,value:"react"},{name:b.projectType.vue2,value:"vue2"},{name:b.projectType.vue3,value:"vue3"},{name:b.projectType.nativeBrowser,value:"browser"},new j.default.Separator("\n"+b.projectCategory.server+"\n"),{name:b.projectType.server,value:"none"}],e.client);return{projectDir:t,server:await U(b.selectServerType,[{name:b.httpShortService,value:"http"},{name:b.wsLongService,value:"ws"}],e.server),client:a,features:["symlink","unitTest"]}}(r);await J(a)})().then((()=>{process.exit(0)})).catch((e=>{H(e)})),process.on("unhandledRejection",(e=>{H(e)}));
